Skip to main content
PUT
/
organizations
/
{organization_id}
/
portal
/
collections
/
{pk}
Update collection
curl --request PUT \
  --url https://api.example.com/organizations/{organization_id}/portal/collections/{pk}/ \
  --header 'Content-Type: application/json' \
  --header 'X-Initdesk-Token: <api-key>' \
  --data '
{
  "name": "<string>",
  "parent": 123,
  "slug": "",
  "meta_description": "<string>",
  "icon": "<string>",
  "position": 1073741823
}
'
{
  "id": 123,
  "portal": 123,
  "name": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "parent": 123,
  "slug": "",
  "meta_description": "<string>",
  "icon": "<string>",
  "position": 1073741823
}

Documentation Index

Fetch the complete documentation index at: https://developers.initdesk.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Initdesk-Token
string
header
required

Path Parameters

pk
integer
required

A unique integer value identifying this collection.

organization_id
string
required

Body

name
string
required
Required string length: 1 - 255
parent
integer | null
slug
string
default:""
Pattern: ^[-a-zA-Z0-9_]+$
meta_description
string
Maximum string length: 160
icon
string
Maximum string length: 32
position
integer
Required range: 0 <= x <= 2147483647

Response

200 - application/json
id
integer
required
read-only
portal
integer
required
read-only
name
string
required
Maximum string length: 255
created_at
string<date-time>
required
read-only
updated_at
string<date-time>
required
read-only
parent
integer | null
slug
string
default:""
Pattern: ^[-a-zA-Z0-9_]+$
meta_description
string
Maximum string length: 160
icon
string
Maximum string length: 32
position
integer
Required range: 0 <= x <= 2147483647